﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Module.Configuration.Infrastructure.Data;

namespace Module.Configuration.Infrastructure.Data.Migrations
{
    [DbContext(typeof(ConfigurationDbContext))]
    [Migration("20200508043411_AddIsPublicFlag")]
    partial class AddIsPublicFlag
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("CloudKit.Domain.LocalizedPropertyEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<Guid>("EntityId")
                        .HasColumnType("char(36)");

                    b.Property<string>("LanguageCode")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("LocaleKey")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("LocaleKeyGroup")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("LocaleValue")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_localizations");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Locations.District", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("ProvinceCode")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_districts");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Locations.Province", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_provinces");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Locations.Ward", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("DistrictCode")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_wards");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.FooterMenu", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int>("ContentId")
                        .HasColumnType("int");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<int?>("ParentId")
                        .HasColumnType("int");

                    b.Property<int>("Priority")
                        .HasColumnType("int");

                    b.Property<int>("Type")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_footer_menu");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.FooterMenuLocalization", b =>
                {
                    b.Property<int>("FooterMenuId")
                        .HasColumnType("int");

                    b.Property<string>("Lang")
                        .HasColumnType("varchar(255) CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Url")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.HasKey("FooterMenuId", "Lang");

                    b.ToTable("configuration_footer_menu_localization");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.HeaderMenu", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int>("ContentId")
                        .HasColumnType("int");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<int?>("ParentId")
                        .HasColumnType("int");

                    b.Property<int>("Priority")
                        .HasColumnType("int");

                    b.Property<int>("Type")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_header_menu");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.HeaderMenuLocalization", b =>
                {
                    b.Property<int>("HeaderMenuId")
                        .HasColumnType("int");

                    b.Property<string>("Lang")
                        .HasColumnType("varchar(255) CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Url")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.HasKey("HeaderMenuId", "Lang");

                    b.ToTable("configuration_header_menu_localization");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.Language", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("varchar(50) CHARACTER SET utf8mb4")
                        .HasMaxLength(50);

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Icon")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("NativeName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<int>("Priority")
                        .HasColumnType("int");

                    b.Property<int>("Scope")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_languages");

                    b.HasData(
                        new
                        {
                            Id = "vi-VN",
                            Code = "vi",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 710, DateTimeKind.Utc).AddTicks(9276),
                            Icon = "/media/flat/vn.svg",
                            IsActive = true,
                            IsDeleted = false,
                            NativeName = "Tiếng Việt",
                            Priority = 1,
                            Scope = 0,
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 711, DateTimeKind.Utc).AddTicks(332)
                        },
                        new
                        {
                            Id = "en-US",
                            Code = "en",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 711, DateTimeKind.Utc).AddTicks(9377),
                            Icon = "/media/flat/020-flag.svg",
                            IsActive = true,
                            IsDeleted = false,
                            NativeName = "English (United States)",
                            Priority = 2,
                            Scope = 0,
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 711, DateTimeKind.Utc).AddTicks(9414)
                        });
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.LanguageLocalization", b =>
                {
                    b.Property<string>("LanguageId")
                        .HasColumnType("varchar(50) CHARACTER SET utf8mb4")
                        .HasMaxLength(50);

                    b.Property<string>("Lang")
                        .HasColumnType("varchar(50) CHARACTER SET utf8mb4")
                        .HasMaxLength(50);

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Description")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("LanguageId", "Lang");

                    b.ToTable("configuration_language_localizations");

                    b.HasData(
                        new
                        {
                            LanguageId = "vi-VN",
                            Lang = "vi-VN",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(3201),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Tiếng Việt",
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(3228)
                        },
                        new
                        {
                            LanguageId = "vi-VN",
                            Lang = "en-US",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(6187),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Vietnamese",
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(6195)
                        },
                        new
                        {
                            LanguageId = "en-US",
                            Lang = "vi-VN",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(6257),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Tiếng Anh",
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(6259)
                        },
                        new
                        {
                            LanguageId = "en-US",
                            Lang = "en-US",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(6262),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "English",
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(6264)
                        });
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.Setting", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("DataType")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<string>("Group")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsPublic")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Value")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_settings");

                    b.HasData(
                        new
                        {
                            Id = "third-party-google-recaptcha-key",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(8985),
                            DataType = "string",
                            Group = "ThirdParty",
                            IsActive = true,
                            IsDeleted = false,
                            IsPublic = false,
                            Name = "Google's Recaptcha Key",
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 714, DateTimeKind.Utc).AddTicks(8998),
                            Value = "6LeIxAcTAAAAAJcZVRqyHh71UMIEGNQ_MXjiZKhI"
                        },
                        new
                        {
                            Id = "third-party-google-recaptcha-secret",
                            CreatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 715, DateTimeKind.Utc).AddTicks(3631),
                            DataType = "string",
                            Group = "ThirdParty",
                            IsActive = true,
                            IsDeleted = false,
                            IsPublic = false,
                            Name = "Google's Recaptcha Secret",
                            UpdatedDate = new DateTime(2020, 5, 8, 4, 34, 9, 715, DateTimeKind.Utc).AddTicks(3644),
                            Value = "6LeIxAcTAAAAAGG-vFI1TnRWxMZNFuojJ4WifJWe"
                        });
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.TagHtml", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Content")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Description")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<int>("Position")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_tag_htmls");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.VirtualFile", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("Group")
                        .HasColumnType("int");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("OriginalPath")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Tag")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("VirtualPath")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_virtual_files");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.FooterMenuLocalization", b =>
                {
                    b.HasOne("Module.Configuration.Domain.Models.FooterMenu", "FooterMenu")
                        .WithMany("Localizations")
                        .HasForeignKey("FooterMenuId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.HeaderMenuLocalization", b =>
                {
                    b.HasOne("Module.Configuration.Domain.Models.HeaderMenu", "HeaderMenu")
                        .WithMany("Localizations")
                        .HasForeignKey("HeaderMenuId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.LanguageLocalization", b =>
                {
                    b.HasOne("Module.Configuration.Domain.Models.Language", "Language")
                        .WithMany("Localizations")
                        .HasForeignKey("LanguageId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
